/*
 * jis2sjis.c - JIS->SJIS convert
 * original code:SASANO Takayoshi
 * --- public domain, no warranty.
 */

#include	"typedef.h"

EXPORT W	_mbcjistojms(W jis)
{
    W	low, high;

    high = (jis >> 8) & 0xff;
    low  =  jis       & 0xff;

    /* 2nd byte */
    low += (high & 1) ? 0x1f : 0x7d;
    if(low > 0x7e) low++;

    /* 1st byte */
    high  = (high + 1) / 2;
    high += (high < 0x30) ? 0x70 : 0xb0;

    return (high << 8) | low;
}

